Summary:	A set of tools to gather troubleshooting information from a system
Name:		sos
Version:	4.4
Release:	%mkrel 1
Group:		System/Base
License:	GPLv2+
Url:		https://github.com/sosreport/sos
Source0:	https://github.com/%{name}report/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	gettext
BuildRequires:  python3dist(sphinx)
Requires:	python3-libxml2
Requires:	tar
Requires:	bzip2
Requires:	xz
Requires:	python3dist(rpm)
Requires:	python3dist(six)

%description
Sos is a set of tools that gathers information about system
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sos is commonly used to help
support technicians and developers.

%prep
%setup -q

%build
%py3_build

%install
%py3_install '--install-scripts=%{_sbindir}'

install -d -m 755 ${RPM_BUILD_ROOT}//%{name}
install -d -m 700 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/cleaner
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/presets.d
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/groups.d
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/extras.d
install -m 644 %{name}.conf ${RPM_BUILD_ROOT}/etc/%{name}/%{name}.conf

rm -rf ${RPM_BUILD_ROOT}/usr/config/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md AUTHORS
%license LICENSE
%{_sbindir}/%{name}*
%{python3_sitelib}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/%{name}


%changelog
* Wed Sep 07 2022 bcornec <bcornec> 4.4-1.mga9
+ Revision: 1884652
- Update to upstream sos 4.4

* Tue Mar 29 2022 umeabot <umeabot> 4.3-2.mga9
+ Revision: 1832702
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 4.3-1.mga9
+ Revision: 1779271
- version 4.3
- rebuild for python-3.10

* Mon Oct 25 2021 bcornec <bcornec> 4.2-2.mga9
+ Revision: 1752912
- Update to upstream sos 4.2

* Wed Mar 24 2021 tv <tv> 3.9.1-2.mga9
+ Revision: 1708759
- rebuild for python 3.9

* Mon Aug 24 2020 bcornec <bcornec> 3.9.1-1.mga8
+ Revision: 1618469
- Update to upstream sos 3.9.1

* Sun Feb 16 2020 daviddavid <daviddavid> 3.8-2.mga8
+ Revision: 1535253
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 daviddavid <daviddavid> 3.8-1.mga8
+ Revision: 1449230
- new version: 3.8
- fix dependencies

* Thu Sep 26 2019 daviddavid <daviddavid> 3.7-3.mga8
+ Revision: 1446173
- rebuild for python3.8

* Thu Aug 22 2019 daviddavid <daviddavid> 3.7-2.mga8
+ Revision: 1431307
- port to Python 3

* Mon Apr 01 2019 bcornec <bcornec> 3.7-1.mga7
+ Revision: 1383953
- update to upstream sos 3.7

* Fri Sep 21 2018 umeabot <umeabot> 3.6-2.mga7
+ Revision: 1291499
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 3.6-1.mga7
+ Revision: 1252243
- new version: 3.6
- use new python provides

* Tue Jan 03 2017 bcornec <bcornec> 3.3-2.mga6
+ Revision: 1079877
- Adds a dep on python-sphinx to build  sos
- Update sos to upstream 3.3

* Tue Feb 09 2016 umeabot <umeabot> 3.2-3.mga6
+ Revision: 952573
- Mageia 6 Mass Rebuild

* Thu Mar 05 2015 luigiwalser <luigiwalser> 3.2-2.mga5
+ Revision: 817809
- requires python-six

* Mon Feb 23 2015 bcornec <bcornec> 3.2-1.mga5
+ Revision: 816629
- Update to upstream 3.2 and adapt Mageia branding to the new version

* Wed Oct 15 2014 umeabot <umeabot> 3.1-4.mga5
+ Revision: 748117
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-3.mga5
+ Revision: 689250
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 bcornec <bcornec> 3.1-2.mga5
+ Revision: 672164
- sos is now more Mageia branded, based on a CentOS patch - Cf: https://bugs.mageia.org/show_bug.cgi?id=13441

* Sat Jul 05 2014 bcornec <bcornec> 3.1-1.mga5
+ Revision: 643395
- Updated to upstreal sos 3.1
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Feb 07 2014 dams <dams> 3.0-3.mga5
+ Revision: 585543
- bump release
- new version 3.0
- clean/update specfile
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.2-3.mga3
+ Revision: 382353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 25 2011 doktor5000 <doktor5000> 2.2-2.mga2
+ Revision: 147742
- added Require on python-rpm (mga#1709)
- removed obsolete BuildRoot, %%clean and %%defattr
- cosmetics for better clarity
- use %%make macro

* Tue Mar 08 2011 ennael <ennael> 2.2-1.mga1
+ Revision: 66381
- imported package sos


* Thu Dec 02 2010 Funda Wang <fwang@mandriva.org> 2.2-1mdv2011.0
+ Revision: 604670
- import sos

